<%--
 * Component: dotcom
 *
 * Collects device information for dotcom configuration
 * Retrieves deviceid for a peer device (child or parent).
 *
 * This page is used by the peer to figure out self device id in existing dotcom systems.
 *
 * No Parameters:
 *
 * Last Updated     : $Author$
 * Update Date Time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$
 * State            : $State$
--%><%@
	page import="imagemed.imsession.*, imagemed.jsputil.*, imagemed.dotcom.*, java.util.*, java.io.*"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%

	IMSession is = new IMSession( request, response, out );
	is.bRegNotNeeded = false;
	is.bCheckHttpsAndRedirect = false;

	String devId = request.getParameter( "except" );
	try {
		Properties devPrp = DotcomToolbox.checkClient( is, null, false );
		is.bRegNotNeeded = false;

		if ( devPrp != null )
			devId = devPrp.getProperty( "ID" );
	}
	catch ( Throwable th ) {
	}
	

	Throwable collectException = null;
	DotcomConfig dcfg = new DotcomConfig();
	try {
		dcfg = DotcomConfig.reCollect( is.out, devId );	
	}
	catch ( Throwable th ) {
		collectException = th;
	}

	if ( !( devId != null || "true".equals( request.getParameter( "serialize" ) ) ) ) {
%><HTML><HEAD><TITLE>Dotcom Cfg</TITLE></HEAD><BODY><PRE>
<%
		if ( collectException != null ) {
			out.println( "Collect Exception: " + collectException.toString() );
			collectException.printStackTrace( new PrintWriter( out ) );
		}
		out.println( "collect returns: " + ( dcfg != null ) );
		out.println( "devId: " + devId );
		try {
			dcfg.print( out );
		}
		catch ( Throwable th ) {
			out.println( "Exception: " + th.toString() );
		}

		Vector<String> archiveDevices = dcfg.getArchiveServers();
		out.println( "Archive devices:" );
		if ( archiveDevices != null ) {
			for ( Iterator<String> i = archiveDevices.iterator(); i.hasNext(); ) {
				out.println( "     " + i.next() );
			}
		}


		DotcomDevice selfDevice = dcfg.getSelfDevice();
		if ( null != selfDevice ) {
			out.println( "---------------\n" );
			out.println( selfDevice.getDebug() );
			out.println( "</pre></body></html>" );
		}

%></PRE></BODY></HTML><%
	}
%>
